## hhvm 3.11.0+dfsg

=== debian/changelog ===
hhvm (3.11.0+dfsg-1) unstable; urgency=medium

  [ Faidon Liambotis ]
  * New upstream release.
  * Build with stock gcc again; folly's gcc 5.0 issues have been fixed.
  * Refresh all debian/patches; drop:
    - support-more-sql-stats: merged upstream
    - ezc-fix-z-type-in-zend_parse_parameters: was a backport
    - use_system_TZinfo: merged upstream
    - fix_freetype_include: unused/unneeded
    - hack_license.patch: obsolete
    - license_folly.patch: superfluous
  * Drop our own debian/-shipped manpages, as these have been merged into the
    upstream tree instead and enhanced since.
  * Add Build-depends on gawk, gperf, libboost-context-dev, libre2-dev,
    libgmp-dev.
  * Build-depend on libjpeg-dev instead of libjpeg62-dev. (Closes: #796932)
  * Build-depend on libvpx-dev to enable WebP support for gd.
  * Drop libiconv-hook-dev dependency and associated patch, libc6's iconv.h
    should be enough for HHVM and it doesn't appear like upstream's intention
    was ever to link against libiconv-hook.
  * Disable asynchronous MySQL support; it depends on the webscalesql fork of
    libmysqlclient-dev which is not packaged separately in Debian. Upstream
    bundles it under their third-party repository but it has been stripped
    from this packaging as the full forked MySQL 5.6 source is too big to be
    embedded into this package.
  * Drop patch enable_relro_hack, that enabled hardening (relro) for
    hh_client/hh_server. Current recommendation by the OCaml team is to not
    attempt to do any hardening until the OCaml runtime itself gets fixed
    first (#702349).
  * Add patch fix_stats_error to fix a MySQL statistics collection error.
  * Add patch fix-makeparser-bison3 to fix a make-parser.sh incompatibility
    when ran with Bison3.
  * Set HOME to debian/build when running the tests so that HHVM can write the
    HHBC even when $HOME does not exist, or to not leave garbage behind when
    it exists.
  * Switch our Provides: hhvm-api-$version to the major/minor HHVM released,
    based on upstream's recommendation of using HHVM_VERSION_BRANCH.
  * Remove sources of build variance to hopefully make the build reproducible:
    - Pass $COMPILER_ID to the compilation process, based on the
      package's version from debian/changelog.
    - Add patch reproducible-sort to pass LC_ALL=C to sort.
    - Add patch reproducible-hack-builddate to remove __DATE__/__TIME__.
      embedding from the Hack source code.
    - Add patch reproducible-hack-compilerid to force hack into using
      $COMPILER_ID instead of always using "git rev-parse".
  * Update debian/copyright with copyright information for files new in this
    version (mainly libraries shipped under third-party/).
  * Switch HHBC location path to /var/cache/hhvm, instead of /var/run/hhvm,
    since it can get large, there is little benefit from having it in memory
    and it can persist across reboots.
  * Switch default source root to /var/www/html.
  * Switch logging to syslog instead of custom, non-logrotated path in
    /var/log.
  * Ship /usr/bin/hh_format, the Hack formatter.
  * Ship hhvm-gdb and hhvm-leak-isolator in the hhvm-dbg package. This adds a
    Depends: python to the -dbg package, which is probably okay given
    hhvm-dbg's relative size to python, as well as its niche usage.
  * Recommend gdb from hhvm-dbg, as the symbols aren't very useful without
    gdb, and hhvm-gdb is a shell script that calls gdb.
  * Cleanup and update /etc/default/hhvm.
  * Update debian/watch.

  [ Giuseppe Lavagetto ]
  * Move the init script to using /lib/init/init-d-script.
  * Add upstart and systemd service files.

 -- Faidon Liambotis <paravoid@debian.org>  Tue, 29 Dec 2015 02:57:38 +0200

hhvm (3.3.5+dfsg-1) unstable; urgency=medium

  [ David Martínez Moreno ]
  * New upstream release.  Release date was 2015-03-04.  3.3 is the first LTS
    version of HHVM ever, which will have support for six months until mid
    August 2015.  The main features from 3.3.5 are:
    - Support for async lambda functions in Hack.
    - Destructors for objects that are still alive at the end of the request
      are now called by default.
    - Much more of XDebug is implemented (including remote debugging and
      profiling).
    - Implemented APCIterator.
    - INI settings are now more widely supported, and more consistent.
    - Added a <<__Memoize>> user attribute for non-static methods with 0
      arguments.
    - Added the GMP extension.
    - It is now possible to load dynamic extensions from INI files.
    - Multiple ‘default’ blocks in a single switch are now a parse error.
    - Improved reflection compatibility.
    - Added typechecker support for interface requirements (similar to trait
      requirements).
    - Added support for PHP5.6-style argument unpacking: f($x, $y, ….$args).
    - Assorted performance and memory usage improvements.
    - Many extensions converted to HNI.
    - Improved HNI support for variadic functions.
    - hhvm-dev package added, making it possible to build some third-party
      extensions without rebuilding HHVM itself.
    - Many security fixes for PHP CVEs backported from PHP trunk and some of
      them from HHVM itself.  In particular, CVE-2015-4663, CVE-2015-3413 and
      CVE-2015-4024 are fixed in this release.
  * debian/control: Depend on g++-4.9, as folly doesn't build on gcc-5.2.
  * debian/patches:
    - use_system_libzip: Merged.
    - use_system_libsqlite3: Merged.
    - use_system_lz4: Merged.
    - use_system_double_conversion: Merged.
    - fix_hphp_lexer: Merged.
    - disable_quicklz_code: Merged.
    - static_linking_against_libbfd: Merged.
    - add_additional_includes_imagemagick: Merged.
    - replace_obsolete_lz4_uncompress: Merged.
    - fix_freetype_include: Refreshed.
    - typos: Refreshed.
    - pass-DNDEBUG-to-RelWithDebInfo: Refreshed.
    - enable_relro_hack: The Hack binaries don't obey normal CFLAGS, so add
      manually the -z,relro option in the CMake config.

