=== debian/control ===
Source: hhvm
Section: php
Priority: optional
Maintainer: Debian HHVM packaging team <pkg-hhvm-team@lists.alioth.debian.org>
Uploaders: David Martínez Moreno <ender@debian.org>, Faidon Liambotis <paravoid@debian.org>
Build-Depends: debhelper (>= 9.0.0),
  autotools-dev,
  binutils-dev,
  bison,
  chrpath,
  cmake,
  flex,
  gawk,
  gperf,
  libboost-dev,
  libboost-context-dev,
  libboost-filesystem-dev,
  libboost-program-options-dev,
  libboost-regex-dev,
  libboost-system-dev,
  libboost-thread-dev,
  libbz2-dev,
  libcap-dev,
  libc-client2007e-dev,
  libcurl4-openssl-dev,
  libdouble-conversion-dev,
  libdwarf-dev,
  libedit-dev,
  libelf-dev,
  libevent-dev,
  libexpat1-dev,
  libfreetype6-dev,
  libgmp-dev,
  libgoogle-glog-dev,
  libiberty-dev,
  libicu-dev,
  libinotifytools0-dev,
  libjemalloc-dev,
  libjpeg-dev,
  libjson-c-dev,
  libldap2-dev,
  liblz4-dev,
  libmagickcore-dev,
  libmagickwand-dev,
  libmcrypt-dev,
  libmemcached-dev,
  libmysqlclient-dev,
  libonig-dev,
  libpcre3-dev,
  libpng12-dev,
  libre2-dev,
  libsqlite3-dev,
  libssl-dev,
  libtbb-dev,
  libvpx-dev,
  libxml2-dev,
  libxslt1-dev,
  libyaml-dev,
  libzip-dev (>= 0.11),
  ocaml-native-compilers,
  pkg-config,
  unixodbc-dev,
  zlib1g-dev
Standards-Version: 3.9.6
Homepage: http://hhvm.com/
Vcs-Git: git://anonscm.debian.org/pkg-hhvm/hhvm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-hhvm/hhvm.git;a=summary

Package: hhvm
Architecture: amd64
Depends: ${shlibs:Depends}, ${misc:Depends}
Provides: ${hhvm:ApiVersion}
Description: HipHop Virtual Machine, a JIT replacement for PHP - main runtime
 HHVM is an open-source virtual machine designed for executing programs
 written in Hack and PHP. HHVM uses a just-in-time (JIT) compilation
 approach to achieve superior performance while maintaining the development
 flexibility that PHP provides.
 .
 For the majority of your programs HHVM should be a drop-in replacement for
 the usual PHP interpreter/engine.

Package: hhvm-dbg
Architecture: amd64
Depends: hhvm (= ${binary:Version}), python, ${misc:Depends}
Recommends: gdb
Section: debug
Priority: extra
Description: HipHop Virtual Machine, a JIT replacement for PHP - debugging symbols
 HHVM is an open-source virtual machine designed for executing programs
 written in Hack and PHP. HHVM uses a just-in-time (JIT) compilation
 approach to achieve superior performance while maintaining the development
 flexibility that PHP provides.
 .
 For the majority of your programs HHVM should be a drop-in replacement for
 the usual PHP interpreter/engine.
 .
 This package provides the debugging symbols for HHVM.

Package: hhvm-dev
Architecture: amd64
Depends: ${misc:Depends}, cmake
Section: libdevel
Priority: extra
Description: HipHop Virtual Machine, a JIT replacement for PHP - development files
 HHVM is an open-source virtual machine designed for executing programs
 written in Hack and PHP. HHVM uses a just-in-time (JIT) compilation
 approach to achieve superior performance while maintaining the development
 flexibility that PHP provides.
 .
 For the majority of your programs HHVM should be a drop-in replacement for
 the usual PHP interpreter/engine.
 .
 This package provides the header & build system files needed for compiling
 HHVM extensions.
