## hhvm 3.11.1%2Bdfsg

=== third-party/CMakeLists.txt ===
--- 
+++ 
@@ -24,18 +24,66 @@
 set(THIRD_PARTY_HEADERS)
 
 list(APPEND THIRD_PARTY_MODULES
-  fastlz
-  libafdt
-  libmbfl
-  libsqlite3
   timelib
-  lz4
-  double-conversion
   folly
-  libzip)
+  wangle
+)
 if(ENABLE_FASTCGI)
-  list(APPEND THIRD_PARTY_MODULES ti)
+  list(APPEND THIRD_PARTY_MODULES proxygen)
   list(APPEND THIRD_PARTY_MODULES thrift)
+endif()
+
+if (NOT MSVC)
+  list(APPEND THIRD_PARTY_MODULES libafdt)
+endif()
+
+# Add bundled libmbfl if the system one will not be used
+if(NOT LIBMBFL_LIBRARY)
+  list(APPEND THIRD_PARTY_MODULES libmbfl)
+endif()
+
+if(ENABLE_ASYNC_MYSQL)
+  find_package(RE2)
+  if(NOT RE2_LIBRARY)
+    message(STATUS "Building RE2 from third-party")
+    list(APPEND THIRD_PARTY_MODULES re2)
+  endif()
+  list(APPEND THIRD_PARTY_MODULES squangle)
+  list(APPEND THIRD_PARTY_MODULES webscalesqlclient)
+endif()
+
+if (ENABLE_MCROUTER)
+  list(APPEND THIRD_PARTY_MODULES mcrouter)
+endif()
+
+# Add bundled fastlz if the system one will not be used
+if(NOT FASTLZ_LIBRARY)
+  list(APPEND THIRD_PARTY_MODULES fastlz)
+endif()
+
+# Add bundled libsqlite3 if the system one will not be used
+if(NOT LIBSQLITE3_LIBRARY)
+  list(APPEND THIRD_PARTY_MODULES libsqlite3)
+endif()
+
+# Add bundled lz4 if the system one will not be used
+if(NOT LZ4_LIBRARY)
+  list(APPEND THIRD_PARTY_MODULES lz4)
+endif()
+
+# Add bundled double-conversion if the system one will not be used
+if(NOT DOUBLE_CONVERSION_LIBRARY)
+  list(APPEND THIRD_PARTY_MODULES double-conversion)
+endif()
+
+# Add bundled PCRE if the system one will not be used
+if(NOT PCRE_LIBRARY)
+  list(APPEND THIRD_PARTY_MODULES pcre)
+endif()
+
+# Add bundled libzip if the system one will not be used
+if(NOT LIBZIP_LIBRARY)
+  list(APPEND THIRD_PARTY_MODULES libzip)
 endif()
 
 function(TP_INSTALL_HEADERS TARGET SRCDIR DEST)
@@ -55,8 +103,8 @@
   # can easily control the destination. Put them in include/hphp/third-party.
   if(MODULE STREQUAL folly)
     TP_INSTALL_HEADERS(folly folly/src/folly folly)
-  elseif(MODULE STREQUAL double-conversion)
-    TP_INSTALL_HEADERS(double-conversion double-conversion/src double-conversion)
+  elseif(NOT DOUBLE_CONVERSION_LIBRARY AND MODULE STREQUAL double-conversion)
+    TP_INSTALL_HEADERS(double-conversion double-conversion/src/double-conversion double-conversion)
   else()
     TP_INSTALL_HEADERS(${MODULE} ${MODULE} ${MODULE})
   endif()
